# /bridge/transfers

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark> `/bridge/transfers`

The `/bridge/transfers` endpoint returns bridge transfers that match the passed parameters. Results are paginated, with the default page size being 50 records.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Params**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>chain</code></td><td>No</td><td><code>mainnet</code></td><td>The chain type we are working with, either <code>mainnet</code> or <code>sepolia</code></td></tr><tr><td><code>fromChains</code></td><td>No</td><td></td><td>A comma separated list of the chain that the transfer must be from, e.g. 11155111,421614</td></tr><tr><td><code>toChains</code></td><td>No</td><td></td><td>A comma separated list of the chain that the transfer must be to, e.g. 11155111,421614</td></tr><tr><td><code>types</code></td><td>No</td><td></td><td>A comma separated list of the transfer types to look for, e.g. BLESS, ERC20.<br><br>Possible values:<br>- BLESS<br>- ERC20<br>- ERC721<br>- ERC1155<br>- TXN</td></tr><tr><td><code>address</code></td><td>No</td><td></td><td>A specific address, only records that match this address as the from or to address will be returned.</td></tr><tr><td><code>from_timestamp</code></td><td>No</td><td></td><td>Only records where the origin transaction timestamp is at or after this timestamp will be returned.</td></tr><tr><td><code>to_timestamp</code></td><td>No</td><td></td><td>Only records where the origin transaction timestamp is at or before this timestamp will be returned.</td></tr><tr><td><code>page_size</code></td><td>No</td><td><code>50</code></td><td>The number of records to return per page.</td></tr><tr><td><code>cursor</code></td><td>No</td><td><code>null</code></td><td>The cursor representing the start point of the next page of results.</td></tr></tbody></table>

### **Response Body**

The response provides an array of `bridgeData` objects with a single `nextCursor` value providing the cursor for the next page. If this is null there is no next page.

The `bridgeData` objects have the following properties:

<table><thead><tr><th width="247">Name</th><th width="114">Type</th><th width="389">Description</th></tr></thead><tbody><tr><td><code>_id</code></td><td><code>string</code></td><td>The unique Id for this transfer</td></tr><tr><td><code>type</code></td><td><code>string</code></td><td>The type of transfer, e.g. BLESS, ERC20.<br>Possible values:<br>- BLESS<br>- ERC20<br>- ERC721<br>- ERC1155<br>- TXN</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The overall status of the transfer, including all nodes on the route.<br>Possible values:<br>done (transfer complete)<br>- wait-wh (awaiting wormhole completion.<br>- wait-rb (awaiting rollup bridge completion)<br>- wait-cc (awaiting child chain confirmation)<br>- manual (awaiting manual confirmation)<br>- error</td></tr><tr><td><code>fromChain</code></td><td><code>string</code></td><td>The origin chain.</td></tr><tr><td><code>toChain</code></td><td><code>string</code></td><td>The destination chain.</td></tr><tr><td><code>fromAddress</code></td><td><code>string</code></td><td>The address that has initiated the transfer.</td></tr><tr><td><code>toAddress</code></td><td><code>string</code></td><td>The address the transfer is going to.</td></tr><tr><td><code>originTimestamp</code></td><td><code>number</code></td><td>The timestamp from the first transaction in this transfer.</td></tr><tr><td><code>blessAmount</code></td><td><code>string</code></td><td>The amount of BLESS being send, if this is a BLESS transfer.</td></tr><tr><td><code>tokenContract</code></td><td><code>string</code></td><td>The address of the contract for the token being send, if this is a token transfer.</td></tr><tr><td><code>tokenAmount</code></td><td><code>string</code></td><td>The amount of token being sent, if this is a token transfer.</td></tr><tr><td><code>tokenIds</code></td><td><code>array</code></td><td>An array of the token Ids being sent, if this is an ERC721 or ERC1155 transfer.</td></tr><tr><td><code>originTxnHash</code></td><td><code>string</code></td><td>The transaction hash of the first transaction in this transfer.</td></tr><tr><td><code>whTxnHash</code></td><td><code>string</code></td><td>The transaction hash of this transfer being submitted to wormhole (will only be present if wormhole is used in the route).</td></tr><tr><td><code>rbTxnHash</code></td><td><code>string</code></td><td>The transaction hash of this transfer being submitted to the rollup bridge (will only be present if the rollup bridge is used in this route).</td></tr><tr><td><code>deliveryTxnHash</code></td><td><code>string</code></td><td>The transaction hash of this transfer being delivered to the destination chain.</td></tr><tr><td><code>route</code></td><td><code>array</code></td><td>An array of objects describing the route of this transaction and the hashes at each step, if that step has been completed.</td></tr></tbody></table>

### **Example Request**

<pre><code><strong>GET https://api.bless.net/bridge/transfers?chain=sepolia
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "bridgeData": [
        {
            "_id": "67b6cec1cf1e3ed71398d6d5",
            "type": "ERC721",
            "chainType": "sepolia",
            "status": "wait-wh",
            "fromChain": 11155111,
            "toChain": 11145513,
            "fromAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "toAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "originTimestamp": 1740033684,
            "tokenContract": "0xB70B1bF56A66B65CCb32d3AF0CDC69150E16085f",
            "tokenIds": [
                "18",
                "17",
                "11"
            ],
            "originTxnHash": "0x4982035e643f0fd29d38114e2b95c8ff670db5268a4f2fdae0f4447386b70555",
            "whTxnHash": "0x4982035e643f0fd29d38114e2b95c8ff670db5268a4f2fdae0f4447386b70555",
            "route": [
                {
                    "step": 11155111,
                    "txHash": "0x4982035e643f0fd29d38114e2b95c8ff670db5268a4f2fdae0f4447386b70555"
                },
                {
                    "step": "wormhole",
                    "txHash": "0x4982035e643f0fd29d38114e2b95c8ff670db5268a4f2fdae0f4447386b70555"
                },
                {
                    "step": 421614,
                    "txHash": null
                },
                {
                    "step": "rollup-bridge",
                    "txHash": null
                },
                {
                    "step": 11145513,
                    "txHash": null
                }
            ]
        },
        {
            "_id": "67b6c958cf1e3ed713982d77",
            "type": "ERC20",
            "chainType": "sepolia",
            "status": "done",
            "fromChain": 11155111,
            "toChain": 11145513,
            "fromAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "toAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "originTimestamp": 1740032292,
            "tokenContract": "0xaF5a391579CA5D05e388a333c3D7e2823Ab3Ff7e",
            "tokenAmount": "1000000000000000000",
            "originTxnHash": "0xee9f46f0ec3d4b7955253bc00fdd5592e751035c07b57e6581c6d8533c173425",
            "rbTxnHash": "0x3f9b363dd7f1ee7413d66f3451402e412a23472661904e358973d843eabbea8a",
            "whTxnHash": "0xee9f46f0ec3d4b7955253bc00fdd5592e751035c07b57e6581c6d8533c173425",
            "deliveryTxnHash": "0xd8a3d794b56b42192f7e3c2933458da830622e77683ebe85de7d56e146a1b69c",
            "route": [
                {
                    "step": 11155111,
                    "txHash": "0xee9f46f0ec3d4b7955253bc00fdd5592e751035c07b57e6581c6d8533c173425"
                },
                {
                    "step": "wormhole",
                    "txHash": "0xee9f46f0ec3d4b7955253bc00fdd5592e751035c07b57e6581c6d8533c173425"
                },
                {
                    "step": 421614,
                    "txHash": "0x3f9b363dd7f1ee7413d66f3451402e412a23472661904e358973d843eabbea8a"
                },
                {
                    "step": "rollup-bridge",
                    "txHash": "0x3f9b363dd7f1ee7413d66f3451402e412a23472661904e358973d843eabbea8a"
                },
                {
                    "step": 11145513,
                    "txHash": "0xd8a3d794b56b42192f7e3c2933458da830622e77683ebe85de7d56e146a1b69c"
                }
            ]
        },
        {
            "_id": "67b6c377cf1e3ed713977528",
            "type": "ERC20",
            "chainType": "sepolia",
            "status": "done",
            "fromChain": 11155111,
            "toChain": 11145513,
            "fromAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "toAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "originTimestamp": 1740030816,
            "tokenContract": "0xE9A4f9ED03F656d1Df6A7e44b0D7C93a96AdD5A2",
            "tokenAmount": "1000000000000000000",
            "originTxnHash": "0xde5518baf1bf6e6fafbdd194ef4377b61816a9754618d791ac9d4effad1015b7",
            "rbTxnHash": "0x521e5d29b5abb9d789c337cda930e228e2481c13b3a7f8a84363f7b5cbf4c590",
            "whTxnHash": "0xde5518baf1bf6e6fafbdd194ef4377b61816a9754618d791ac9d4effad1015b7",
            "deliveryTxnHash": "0xdf8f882b49b675474cf504d55f86647b11fb0e09cd4497c6b87128c215d52652",
            "route": [
                {
                    "step": 11155111,
                    "txHash": "0xde5518baf1bf6e6fafbdd194ef4377b61816a9754618d791ac9d4effad1015b7"
                },
                {
                    "step": "wormhole",
                    "txHash": "0xde5518baf1bf6e6fafbdd194ef4377b61816a9754618d791ac9d4effad1015b7"
                },
                {
                    "step": 421614,
                    "txHash": "0x521e5d29b5abb9d789c337cda930e228e2481c13b3a7f8a84363f7b5cbf4c590"
                },
                {
                    "step": "rollup-bridge",
                    "txHash": "0x521e5d29b5abb9d789c337cda930e228e2481c13b3a7f8a84363f7b5cbf4c590"
                },
                {
                    "step": 11145513,
                    "txHash": "0xdf8f882b49b675474cf504d55f86647b11fb0e09cd4497c6b87128c215d52652"
                }
            ]
        },
        {
            "_id": "67b669e4cf1e3ed7138c7531",
            "type": "ERC20",
            "chainType": "sepolia",
            "status": "done",
            "fromChain": 11155111,
            "toChain": 11145513,
            "fromAddress": "0x5aa6b0ea75ec0acea067d0b00a81a231a8c7e3f6",
            "toAddress": "0x5aa6b0ea75ec0acea067d0b00a81a231a8c7e3f6",
            "originTimestamp": 1739961084,
            "tokenContract": "0xf39E178bE11b07901DD0B2FAd9DEfbc0109F8e2c",
            "tokenAmount": "1001000000000000000000",
            "originTxnHash": "0x819064a39c9ccd5ff38a8a740df951486548a6f045c53742cbddb7e0a4a65aef",
            "rbTxnHash": "0x7f4ab11eb340bbc95b7822485d31de22deb1536921591c267090eb18023bee31",
            "whTxnHash": "0x819064a39c9ccd5ff38a8a740df951486548a6f045c53742cbddb7e0a4a65aef",
            "deliveryTxnHash": "0x9386a45a48183c755434d37ceed8e509115b49f5777f71fea237b4bfdfe6d7bb",
            "route": [
                {
                    "step": 11155111,
                    "txHash": "0x819064a39c9ccd5ff38a8a740df951486548a6f045c53742cbddb7e0a4a65aef"
                },
                {
                    "step": "wormhole",
                    "txHash": "0x819064a39c9ccd5ff38a8a740df951486548a6f045c53742cbddb7e0a4a65aef"
                },
                {
                    "step": 421614,
                    "txHash": "0x7f4ab11eb340bbc95b7822485d31de22deb1536921591c267090eb18023bee31"
                },
                {
                    "step": "rollup-bridge",
                    "txHash": "0x7f4ab11eb340bbc95b7822485d31de22deb1536921591c267090eb18023bee31"
                },
                {
                    "step": 11145513,
                    "txHash": "0x9386a45a48183c755434d37ceed8e509115b49f5777f71fea237b4bfdfe6d7bb"
                }
            ]
        },
        {
            "_id": "67b668f3cf1e3ed7138c575d",
            "type": "ERC20",
            "chainType": "sepolia",
            "status": "done",
            "fromChain": 11155111,
            "toChain": 421614,
            "fromAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "toAddress": "0xa401e83732d64d869003670eda79ecdf101d7380",
            "originTimestamp": 1739960856,
            "tokenContract": "0xaF5a391579CA5D05e388a333c3D7e2823Ab3Ff7e",
            "tokenAmount": "1000000000000000000",
            "originTxnHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76",
            "whTxnHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76",
            "deliveryTxnHash": "0xd870621d41463c57e78ab4435c55661894268401ad21b1fcbf70d6110376591b",
            "route": [
                {
                    "step": 11155111,
                    "txHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76"
                },
                {
                    "step": "wormhole",
                    "txHash": "0x539599ca8ba1d3217c883137c7bde9a44f10d204747c09cfff20d2f80117ea76"
                },
                {
                    "step": 421614,
                    "txHash": "0xd870621d41463c57e78ab4435c55661894268401ad21b1fcbf70d6110376591b"
                }
            ]
        }
    ],
    "nextCursor": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bless.net/blessnet-api/bridge-transfers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
